> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/changelogs/version-11/v11-0/v11-0-0.md).

# Version 11.0.0 Changelog (2024-10-30)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

## Breaking Changes

See [v11 migration](/web/migration-guides/migrating-to-v11/migrating-to-v11.md) guides for information on breaking changes.

## WebViewer Core

### New

General

* By default WebViewer now uses a Web Component instead of an iframe when it is being constructed. If you would like to revert back to using an iframe you can use `WebViewer.Iframe` instead.
* Added APIs `deleteAllSavedSignatures` and `deleteAllSavedInitials` on `SignatureCreateTool`

Content Edit

* Added APIs `setContent` and `getContent` on the `Core.ContentEdit` namespace, for updating content box text with enhanced styling support.

Annotations

* Changed the default signing method for signature widgets to be signed by appearance instead of associating an annotation. For more info please refer to this [guide](/web/digital-signature/interacting-with-signature-field.md#signing-with-annotation-vs-signing-with-appearance)

### Fixes

General

* Fixed an issue with user bookmark shortcuts not toggling unless the left panel was open.
* Removed deprecated worker fallback functionality for gz and uncompressed workers.

Annotations

* Fixed an issue where `isInternal` returned undefined instead of false for newly created annotations.
* Fixed an issue with JavaScript running on form field annotations that prevented PDF field values from updating.
* Fixed an issue where copying and pasting grouped FreeText annotations would not work as expected.

Forms

* Fixed an issue where renaming a Form Field resulted in an incorrect duplicate error.

Office Editor

* Fixed an issue where the touchpad could get stuck while using Office Editor.
* Fixed an issue where text search was limited to the first page.
* Fixed an issue where `getDocumentCompletePromise` resolved before all pages were available.
* Fixed an issue where the incorrect image was selected while dragging and dropping images

WebViewer Server

* Fixed an issue where duplicate annotations were imported by WebViewer Server.

## WebViewer UI

### New

General

* Modular UI design is now the default for WebViewer. To continue using the previous design, pass `ui: 'legacy'` in WebViewer constructor.

Modular UI

* Added `uiConfig` constructor option to initialize UI with a JSON file.
* Added a new version of Flyouts optimized for mobile devices.
* Added new `Preset` button called `CompareButton` to start diff in MultiViewerMode and open the compare panel
* Added MultiViewerMode in Modular UI

Annotations

* Added screen reader support for `Unposted Comment` icons.

Office Editor

* Added ribbon groups for buttons.
* Added Modular UI buttons.
* Added flyout submenus for Modular UI components.
* Added screen reader accessibility.

Form Builder

* Changed Form Builder to use the new and improved builder, which allows users to see the exact form fields that will be created in the document.

Accessibility

* UI is now WCAG 2.1 AA compliant.
* Added accessibility roles and attributes to tabs in the Multi-tab view.
* Added accessibility support for keyboard interactions in the Multi-tab view.
* Updated the Modular UI Header with enhanced keyboard navigation.
* Made Flyout for Thumbnails Multi-select Page Controls accessible via keyboard.

### Fixes

General

* Fixed an issue where shortcut keys did not work with permissions.
* Fixed an issue where panels in WebViewer were positioned relative to the entire page instead of within the Web Component.
* Fixed an issue where the available space for adding new tabs in the header was miscalculated when an offset was present in the app.
* Fixed issue where printing a second time from the UI didn't work in Safari when Web Component was enabled.
* Fixed an issue with embedded printing not working with form field widgets.

Accessibility

* Fixed multiple accessibility issues on the Bookmark panel.
* Fixed tooltips for close buttons in modals and screen reader support for align buttons.
* Added hex color code tooltips for color picker buttons.
* Improved the comments and redaction text preview for better accessibility.
* Updated `Unposted Comment` indicator icon with a more descriptive label.
* Improved accessibility for the Settings Modal and Edit Shortcut Modal.

Modular UI

* Fixed an issue where the file picker was not correctly enabled or disabled in Modular UI.
* Fixed an issue causing the last selected tool to be lost when switching Ribbon Items in Modular UI.
* Fixed an issue with adding a new flyout with nested children.
* Fixed an issue where `annotationChanged` was not triggered when updating an annotation line ending
* Fixed an issue of the `instance.UI.disableClearSearchOnPanelClose` API not working properly in Modular UI
* Fixed an issue where the `importModularComponents` API threw a vague error when called with incorrect parameters.
* Fixed an issue where the `toolbarGroupChanged` event did not trigger when switching ribbons in the Modular UI.
* Fixed an issue where a single ribbon item was rendered as a responsive dropdown instead of displaying as the item itself.
* Fixed an issue where keyboard shortcuts were not opening the correct ribbons in the `View` mode.

Office Editor

* Fixed an issue of Modular UI toolbar buttons breaking the flyout container.
* Fixed an issue with Office Editor UI not switching correctly when loading PDF documents.
* Fixed an issue where no default Ribbon group was selected when switching between documents.

Layout

* Fixed an issue that occurred when the annotation popup was open, it would flash in the top left corner every time the page scrolled.
* Fixed an issue where resizing panels with the resize bar caused incorrect behavior when the viewer had a horizontal offset.
* Fixed an issue where editing a note with empty line breaks displayed tags.

Annotations

* Fixed an issue with nested buttons for Change Review and Comment panels causing accessibility problems.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/changelogs/version-11/v11-0/v11-0-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
